<div class="title">数据库安装</div>

<?
	if($check<>"ok"){
?>
<form action="" method="post">
	<p>数据库主机：<input type="text" name="dbhost" value="localhost"> (必填) #1
	<p>数据库名称：<input type="text" name="dbname" value="eachgain_cn"> (必填) #2
	<p>数据库用户：<input type="text" name="dbusername" value=""> (必填)
	<p>数据库密码：<input type="text" name="dbpassword" value=""> (必填)
	<p>是否安装体验数据：<input type="radio" name="dbfull" value="1" checked>是&nbsp;&nbsp;<input type="radio" name="dbfull" value="0">否 #3
	<p><input type="hidden" name="check" value="ok"><button type="submit">请点这里进行数据库安装</button>
</form>
<p><b>注意</b>：
<dl>
	<li>#1：如果数据库主机与WEB SERVER不在同一台服务器上，请将数据库主机设置为数据库服务器的IP地址。</li>
	<li>#2：如果数据库用户的权限不是root权限，请确保数据库主机中含有你所填写数据库名称。</li>
	<li>#3：建议选择安装体验数据，体验数据主要包括会员、统计信息等，这样系统安装成功后将存在一些测试数据，这样将大大节约你的时间使你马上就可以开始体验系统提供的完善功能。如果选择不安装体验数据，安装成功将是一个没有任何数据的空系统。 </li>
</ol>
<style>#do2{visibility:hidden;}</style>
<?
	}
	else{
		@mysql_connect($dbhost,$dbusername,$dbpassword) or die("<script>alert('温馨提示：\\n\\n数据库主机、用户或密码无效导致无法连接数据库，\\n\\n请重新设定数据库主机、用户或密码！');history.go(-1);</script>");
		if(@mysql_select_db($dbname)==false){
			mysql_query("create database ".$dbname) or die("<script>alert('温馨提示：\\n\\n数据库不存在并且创建失败，\\n\\n请重新设定数据库名称或用户权限！');history.go(-1);</script>");
			mysql_select_db($dbname);
		}

		$custom=@file_get_contents(dirname(__FILE__)."/data/custom.dat") or die("<script>alert('温馨提示：\\n\\n读取配置文件setup/custom.dat失败，\\n\\n请检查该文件是否可读取！');history.go(-1);</script>");
		$custom=str_replace("#dbhost#",$dbhost,$custom);		
		$custom=str_replace("#dbusername#",$dbusername,$custom);		
		$custom=str_replace("#dbpassword#",$dbpassword,$custom);	
		$custom=str_replace("#dbname#",$dbname,$custom);	
		$fp=fopen(dirname(__FILE__)."/../custom.inc","w") or die("<script>alert('温馨提示：\\n\\n写入配置文件custom.inc失败，\\n\\n请检查../目录是否可写入！');history.go(-1);</script>");
		fwrite($fp,$custom);
		fclose($fp);

		mysql_query("set names 'gbk'");
		$row=mysql_fetch_array(mysql_query("select version()"));
		$mysql_version=str_replace(strrchr($row[0],"."),"",$row[0]);

		$sql="";
		$fp=fopen(dirname(__FILE__)."/data/database.dat","r");		
		while(!feof($fp)){			
			$line=trim(fgets($fp,4096));
			if(floor($dbfull)<>1){
				if(strstr(strtolower($line),"insert")<>""){
					continue;
				}
			}
			if(ereg(";$",$line)){
				$sql.=$line;
				if($mysql_version<4.1){
					$lang="";
				}
				else{					
					$lang="charset='gbk'";
				}
				$sql=str_replace("#lang#",$lang,$sql);
				mysql_query($sql);
				$sql="";
			}
			else{
				if(!ereg("^//",$line)){
					$sql.=$line."\n";
				}
			}
		}
		fclose($fp);		

		$_SESSION["installing"]=$step+1;

		echo "<p>数据库安装成功，请进行下一步操作！";
	}
?>